Package org.bukkit.block

# Interface EnchantingTable

All Superinterfaces:
  `BlockState`, `Metadatable`, `Nameable`, `PersistentDataHolder`, `TileState`

public interface EnchantingTable extends TileState, Nameable
Represents a captured state of an enchanting table.

## Method Summary

### Methods inherited from interface org.bukkit.block.BlockState

`getBlock, getBlockData, getChunk, getData, getDrops, getDrops, getDrops, getLightLevel, getLocation, getLocation, getRawData, getType, getWorld, getX, getY, getZ, isCollidable, isPlaced, setBlockData, setData, setRawData, setType, update, update, update`

### Methods inherited from interface org.bukkit.metadata.Metadatable

`getMetadata, hasMetadata, removeMetadata, setMetadata`

### Methods inherited from interface org.bukkit.Nameable

`customName, customName, getCustomName, setCustomName`

### Methods inherited from interface org.bukkit.block.TileState

`getPersistentDataContainer, isSnapshot`